Some questions about my syscheck and ModMii

Discussion in 'Wii - Hacking' started by Flashed, Feb 2, 2017.

  1. Flashed
    OP

    Flashed GBAtemp Regular

    Member
    217
    62
    Feb 3, 2016
    Madrid
    Ok here it's what my ModMii wants to install in order to my syscheck:

    Warning: Spoilers inside!


    And here it's my Syscheck:

    Warning: Spoilers inside!




    So I Have some quiestions about this. In first place the 1-9. What is this? DarkCorp or unattended IOS or something like that??. About the 13, IOS36, does it have something special? cIOS 249-250 are d2x-v8-final but with different IOS base I think this is irrelevant
    And finally, what about the cIOS 202,222,223,224? Says 5.1R but I have Hermes, is there any different between that? I think that's all.

    Thanks for helping!
     
    Last edited by Flashed, Feb 2, 2017


  2. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,860
    737
    Mar 2, 2015
    United States
    You should only need 13, 14 and 15 on the ModMii list.

    1-9 are patched versions of the original IOSes and are unnecessary.
     
  3. ScarletDreamz

    ScarletDreamz [Debug Mode]

    Member
    2,459
    1,035
    Feb 16, 2015
    United States
    California
    ModMii has an issue that it will ALWAYS give you the latest patches cIOS, even if you have them already.
     
  4. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,860
    737
    Mar 2, 2015
    United States
    Oh, whoops. The patched IOS36 listed as #13 is so you can use it with a mod manager to install WADs.
     
  5. ScarletDreamz

    ScarletDreamz [Debug Mode]

    Member
    2,459
    1,035
    Feb 16, 2015
    United States
    California
    Take it as this, the first ones:
    1) IOS11v16174(IOS60v6174[FS-ES-NP-VP-DIP])
    2) IOS20v16174(IOS60v6174[FS-ES-NP-VP-DIP])
    3) IOS30v16174(IOS60v6174[FS-ES-NP-VP-DIP])
    4) IOS40v16174(IOS60v6174[FS-ES-NP-VP-DIP])
    5) IOS50v16174(IOS60v6174[FS-ES-NP-VP-DIP])
    6) IOS52v16174(IOS60v6174[FS-ES-NP-VP-DIP])
    7) IOS60v16174(IOS60v6174[FS-ES-NP-VP-DIP])
    8) IOS70v16174(IOS60v6174[FS-ES-NP-VP-DIP])

    Are system menus until 4.2, so if you ar eon 4.3, this will only become entrypoints for the future.

    9) IOS80v16174(IOS60v6174[FS-ES-NP-VP-DIP])

    This is the current system menu file, patched and fakesigned.

    13) IOS36v3351

    This is ios36 patched and fakesigned, alot of homebre used/use to rely on this, ios 236 its a clone of ios36.

    14) cIOS249[56]-d2x-v8-final
    15) cIOS250[57]-d2x-v8-final
    16) cIOS222[38]-v4
    17) cIOS223[37-38]-v4
    18) cIOS202[60]-v5.1R
    19) cIOS224[57]-v5.1R

    Latest cios needed for USB loaders.
     
    Last edited by ScarletDreamz, Feb 2, 2017 - Reason: typo
  6. Flashed
    OP

    Flashed GBAtemp Regular

    Member
    217
    62
    Feb 3, 2016
    Madrid
    Thanks everyone
    So, in summary, the ones I need are:
    - IOS36 Patched (Install with IOS 236 Installer??)
    - D2X 249-250 (Already installed but with other IOS Base, hope this is irrelevant?)
    - 202-222-223-224 (I Have Hermes 5.1. What is the different between 5.1R? and v4 for 222 and 223?)
    - Also an IOS80 Patched (Where can I get it?)

    Thanks again
     
  7. ScarletDreamz

    ScarletDreamz [Debug Mode]

    Member
    2,459
    1,035
    Feb 16, 2015
    United States
    California
    Installing custom old cios are not needed, but also they aren't harmful, so if you install them, there wont be no issues C:

    Just drag and drop your syscheck to modmii, and install the suggested cios.
     
  8. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,860
    737
    Mar 2, 2015
    United States
    There's not really any need to patch IOS80 and it's better to use the standard d2x install to avoid confusion should you ask for help in the future. The common install is 249[56], 250[57] and 251[58]. (It's not likely you'll need 251 but it doesn't hurt to have it.)
     
  9. Flashed
    OP

    Flashed GBAtemp Regular

    Member
    217
    62
    Feb 3, 2016
    Madrid
    Ok. So finally, what about IOS 222-223-224-202? Hermes 5.1 vs 5.1R what is the difference?
     
  10. ScarletDreamz

    ScarletDreamz [Debug Mode]

    Member
    2,459
    1,035
    Feb 16, 2015
    United States
    California
    Think of them as a back up way to 248 and 249.

    As for the version differences:

    5.1 Rodries Mod:

    • *Added new EHC module.
    • *Added real support of using both ports simultaniously without shutting down the other.
    • There is no longer the limitation that the settings have to be on SD card for this. (ONLY HERMES CIOS!)
    5.1 Spaceman Spiff version:
    • You dont need Waninkoko CIOS neithre a IOS with trucha bug
    • You need Homebrew Channel 1.0.7 or later..
    • If AHBPROT, it will patch the IOS on the fly.
    • Changed the path from the sd, It was fat0:/ now its sd:/
    • Changed S_Decrypt/Es_Encrypt TO aes_encrypt/aes_decrypt, same as Dop-Mii and IOS236 Installer.
    • Include cIOS225, in case you want this installed, you can use base 60, but its not needed, though it snot mandatory.
     
    Last edited by ScarletDreamz, Feb 2, 2017
  11. Flashed
    OP

    Flashed GBAtemp Regular

    Member
    217
    62
    Feb 3, 2016
    Madrid
    Ok so that's all thanks everyone for helping!!
     
  12. Flashed
    OP

    Flashed GBAtemp Regular

    Member
    217
    62
    Feb 3, 2016
    Madrid
    Sorry for bother again...
    I have seen that IOS236 Installer downloads an old version of IOS36. Is it right? Is necessary to downgrade IOS 36?
     
  13. ScarletDreamz

    ScarletDreamz [Debug Mode]

    Member
    2,459
    1,035
    Feb 16, 2015
    United States
    California
  14. Flashed
    OP

    Flashed GBAtemp Regular

    Member
    217
    62
    Feb 3, 2016
    Madrid
  15. ScarletDreamz

    ScarletDreamz [Debug Mode]

    Member
    2,459
    1,035
    Feb 16, 2015
    United States
    California
    Its only necessary to install other cIOS at the beginning.
     
  16. Flashed
    OP

    Flashed GBAtemp Regular

    Member
    217
    62
    Feb 3, 2016
    Madrid
    Aaaalright, now everything is clear. Thank you so much!
     
  17. ScarletDreamz

    ScarletDreamz [Debug Mode]

    Member
    2,459
    1,035
    Feb 16, 2015
    United States
    California
    Just so you have an idea of what is that for:

    IOS 236 its just IOS36 with Trucha Bug.
    IOS236 can be installed without the needed of any other CIOS, it just need the Homebrew channel, once this cIOS is installed, if using Multi Mod Manager, will auto re-load cios236, now we have an installed CIOS with full access. to install other cios.

    Im not really sure nowdays how the new D2X cios are installed without the need of IOS36 Patched AKA 236 . maybe new permissions, O:? who knows~ C:
     
  18. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,860
    737
    Mar 2, 2015
    United States
    The d2x installer inherits the privileges from the HBC.
     
  19. tswntk

    tswntk GBAtemp Advanced Fan

    Member
    644
    135
    Aug 6, 2012
    Switzerland
    modern apps uses stock ios58 and patch it on the fly.
    older version of ios36 itself has the Trucha Bug directly from Nintendo and was patched (to fix it) on later revisions.

    In essence, all you need for softmoding nowadays is just to install homebrew channel.
    If you want to play Wii games backups, you need cios and cios 249(56/57), 250(57) and 251(58) is all you need.
    The rest are generally not needed (in fact, the rest can't be used in vWii except cios236)

    cios(38) is no good as newer games (many) that use ios higher than 38 won't be able to run under (38). (56) has 90%+ game compatibility; still games (few) like COD that use ios higher than 56 won't run. (57) was said to be a little bit slower than (56) but has even higher game compatibility.
    IIRC, I only heard of one game that was reported to run only on (38). I never played that game and can't remember what it is.

    Edit:You will also need bootmii@boot2 (if your Wii supports it) and Priiloader for brick protection. Not directly related to "softmodding"
     
    Last edited by tswntk, Feb 3, 2017
  20. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,860
    737
    Mar 2, 2015
    United States
    The only one I can recall is Animal Crossing with USB keyboard. I was only able to get it to recognize the keyboard using 38 as a base. (That's the system version the game requests.) The game ran fine on 56/57/58 but no keyboard. :P